# -*- coding: utf-8 -*-
from django.core.paginator import Paginator
from django.utils.translation import ugettext as _
from django.conf import settings

from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool

from jmb.cms.menu_cms.cms.models import MenuSettings

class CustomMenuPlugin(CMSPluginBase):
    model = MenuSettings
    name = _("Menu Template")
    module = _("Custom CMS")

    def render(self, context, instance, placeholder):
        self.render_template = instance.template_name
        children = instance.page.children.filter(in_navigation=True, published=True)
        request = context['request']
        current_page = request.current_page
        context.update({
            'instance':instance,
            'children': children,
            'placeholder':placeholder,
            'current_page': current_page
        })
        return context

plugin_pool.register_plugin(CustomMenuPlugin)
