# -*- coding: utf-8 -*-
from django.db import models
from django.utils.translation import ugettext as _
from django.conf import settings

from cms.models.pluginmodel import CMSPlugin

from jmb.core.db.cmsmodels import StatusModel

###################################
## CMS MODELS                     #
###################################
class ModalSettings(CMSPlugin, StatusModel):

    modal_id = models.SlugField(
        _("Modal id"),
        null=True, blank=True,
        max_length=100,
        help_text=_("(Optional) id used for modal dialog div. If omitted, it will be used "
                    "the app label and plugin instance id  ")
    )
    form = models.CharField(
        _("Modal form"),
        max_length=100,
        null=True, blank=True,
        choices=settings.MODAL_DIALOG_CMSPLUGIN_FORM_CLASSES,
        default="",
        help_text=_("(Optional) Form used inside modal dialog")
#        editable=len(settings.MODAL_DIALOG_CMSPLUGIN_FORM_CLASSES)>1
    )
    template_name = models.CharField(
        max_length=100,
        choices=settings.MODAL_DIALOG_CMSPLUGIN_TEMPLATES,
        default="modal_dialog/cms_plugins/modal_dialog.html"
    )


    def __unicode__(self):
        return " - ".join("On" if self.status else "Off", self.template_name)

    class Meta:
        app_label = "modal_dialog"

