# -*- coding: utf-8 -*-
from django.conf import settings
from django.utils.translation import ugettext as _
from django.contrib import admin

from django_mptt_admin.admin import DjangoMpttAdmin

from jmb.core.admin.options import ExtendibleModelAdmin

from jmb.cms.navbar.models import NavItem


class NavItemAdmin(ExtendibleModelAdmin):
    list_display = (
        'status', 'is_hightlighted', 'is_header', 'label', 'get_item_ancestors', 'link',
        'get_edit_icon'
    )
    fieldsets = (
        (_('logs admin'), {
            'fields': (
                'creator', 'date_create',
                'last_modifier', 'date_last_modify',
            ),
            'classes': ('collapse',)
        }),
        (None, {'fields': (
            'status', ('is_hightlighted', 'is_header'), 'parent', 'label', 'link', 'html_rendered'
        )}),
    )

    def get_item_ancestors(self, obj):
        ancestors = obj.get_ancestors()
        ancestors_list = []
        for ancestor in ancestors:
            ancestors_list.append(ancestor.label)
        return " | ".join(ancestors_list)

    get_item_ancestors.short_description = _('Tree')
    get_item_ancestors.allow_tags = True

class NavItemAdmin(DjangoMpttAdmin):
    pass

#admin.site.register(NavItemAdmin, NavItemAdmin)
admin.site.register(NavItem, NavItemAdmin)
