# -*- coding: utf-8 -*-
from django.conf import settings
from django.core.paginator import Paginator
from django.utils.translation import ugettext as _
from django.conf import settings

from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool

from jmb.cms.navbar.models import NavItem
from jmb.cms.navbar.cms.models import NavSettings


class NavPlugin(CMSPluginBase):
    model = NavSettings
    name = _("Navbar")
    module = _("Navbar")
    admin_preview = False

    def render(self, context, instance, placeholder):
        self.render_template = 'nav/cms_plugins/empty.html'
        context.update({
            'url_base': settings.NAVITEM_LINK,
        })      
        
        if not instance.status:
            return context
        
        request = context['request']
        user = request.user
        nodes = instance.navbar_node_begin.get_descendants()

        visible = 1
        logged_visible = 2
        nodes = nodes.filter(status__in=(visible, logged_visible))
        if not user.is_authenticated():
            nodes = nodes.filter(status=visible)

        self.render_template = instance.template_name
        context.update({
            'nodes': nodes,
            'instance': instance,
            'placeholder': placeholder,
        })
        return context

plugin_pool.register_plugin(NavPlugin)