# -*- coding: utf-8 -*-

import datetime

from django.utils.translation import ugettext_lazy as _
import admin_tools
from admin_tools.dashboard import modules, AppIndexDashboard

from jmb.core.admin import dashboard as jmb_dashboard

class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs = {
            'title': "Navbar",
            'display': "tabs",
            'children': [
                Models(),
            ]
        }
        super(DefaultDashboard, self).__init__(**kwargs)


class NavDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs = {
            'title': "Navbar",
            'display': "tabs",
            'children': [
                Models(),
            ]
        }
        super(NavDashboard, self).__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs = {
            'title': _("Main Models"),
            'models': ('jmb.cms.navbar.models.*',),
        }
        super(Models, self).__init__(**kwargs)


class DefaultAppDashboard(AppIndexDashboard):
    def __init__(self, app_title, models, **kwargs):
        AppIndexDashboard.__init__(self, app_title, models, **kwargs)
        self.columns = 3

    def init_with_context(self, context):
        self.children.append(
            DefaultDashboard(),
        )

# Used in /admin 
jmb_dashboard.register_group(NavDashboard, 'jmb.cms.navbar')
# Used in /admin/Nav
admin_tools.dashboard.register(DefaultAppDashboard, 'jmb.cms.navbar')
