# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu


nav_menu_item = items.MenuItem(
    # GENERAL
    _('Navbar'), 
    reverse('admin:app_list', kwargs={'app_label': 'navbar'}),
    children=[
        items.MenuItem(_('Navbar Items'), '',
            children=[
                items.MenuItem(_('Add Nav'), reverse('admin:navbar_navitem_add',)), 
                items.MenuItem(_('Nav List'), reverse('admin:navbar_navitem_changelist',) ), 
            ]
        ),
    ]
)


register_menu(nav_menu_item, 'jmb.cms.navbar')
