from django.db import models
from django.utils.translation import ugettext_lazy as _
from cms.models.pluginmodel import CMSPlugin
from django.conf import settings


class ScriptSettings(CMSPlugin):
    active = models.BooleanField(_("Active"), default=False)
    name = models.CharField(_("Name"), max_length=100, null=True, blank=True)
    snippet = models.TextField(_('Script snippet'), default="<script>...put your code here...</script>")
    template_name = models.CharField(
        max_length=100, choices=settings.SCRIPT_CMSPLUGIN_TEMPLATES,
        default="cms_plugins/script.html"
    )

    def __unicode__(self):
        if self.active:
            return "On - " + self.name
        else:
            return "Off - " + self.name

    class Meta:
        app_label = "script"
        #verbose_name = _("Google Analytics")